VTK: vtkHyperTreeGridNonOrientedMooreSuperCursorLight Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkHyperTreeGridNonOrientedMooreSuperCursorLight Class Reference

Objects for traversal a HyperTreeGrid. More...

`#include <vtkHyperTreeGridNonOrientedMooreSuperCursorLight.h>`

Inheritance diagram for vtkHyperTreeGridNonOrientedMooreSuperCursorLight:
[legend]
Collaboration diagram for vtkHyperTreeGridNonOrientedMooreSuperCursorLight:
[legend]

## Public Types
typedef vtkHyperTreeGridNonOrientedSuperCursorLight | Superclass
Public Types inherited from vtkHyperTreeGridNonOrientedSuperCursorLight
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkHyperTreeGridNonOrientedMooreSuperCursorLight * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Initialize (vtkHyperTreeGrid *grid, vtkIdType treeIndex, bool create=false) override
| Initialize cursor at root of given tree index in grid. More...
bool | GetCornerCursors (unsigned int, unsigned int, vtkIdList *)
| Return the list of cursors pointing to the leaves touching a given corner of the cell. More...
Public Member Functions inherited from vtkHyperTreeGridNonOrientedSuperCursorLight
vtkHyperTreeGridNonOrientedSuperCursorLight * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkHyperTreeGridNonOrientedSuperCursorLight * | Clone ()
| Create a copy of ‘this’. More...
bool | HasTree (unsigned int icursor)
| JB Return if a Tree pointing exist. More...
vtkIdType | GetVertexId ()
| Return the index of the current vertex in the tree. More...
vtkIdType | GetVertexId (unsigned int icursor)
vtkIdType | GetGlobalNodeIndex ()
| Return the global index (relative to the grid) of the current vertex in the tree. More...
vtkIdType | GetGlobalNodeIndex (unsigned int icursor)
| JB Return the global index (relative to the grid) of the neighboor icursor current vertex in the tree. More...
vtkHyperTree * | GetInformation (unsigned int icursor, unsigned int &level, bool &leaf, vtkIdType &id)
| JB. More...
unsigned char | GetDimension ()
| Return the dimension of the tree. More...
unsigned char | GetNumberOfChildren ()
| Return the number of children for each node (non-vertex leaf) of the tree. More...
void | SetGlobalIndexStart (vtkIdType index)
| JB. More...
void | SetGlobalIndexFromLocal (vtkIdType index)
| JB. More...
double * | GetOrigin ()
| JB. More...
double * | GetSize ()
void | SetMask (bool state)
| Set the blanking mask is empty or not. More...
void | SetMask (unsigned int icursor, bool state)
bool | IsMasked ()
| Determine whether blanking mask is empty or not. More...
bool | IsMasked (unsigned int icursor)
void | GetBounds (double bounds[6])
| JB Coordonnees de la boite englobante En light, information non disponible sur les voisins. More...
void | GetPoint (double point[3])
| JB Coordonnees du centre de la maille En light, information non disponible sur les voisins. More...
bool | IsLeaf ()
| Is the cursor pointing to a leaf? More...
bool | IsLeaf (unsigned int icursor)
void | SubdivideLeaf ()
| JB Fait chier normalement on devrait passer par GetEntry. More...
bool | IsRoot ()
| Is the cursor at tree root? More...
unsigned int | GetLevel ()
| Get the level of the tree vertex pointed by the cursor. More...
unsigned int | GetLevel (unsigned int icursor)
void | ToChild (unsigned char)
| Move the cursor to child ‘child’ of the current vertex. More...
void | ToRoot ()
| Move the cursor to the root vertex. More...
void | ToParent ()
| Move the cursor to the parent of the current vertex. More...
unsigned int | GetNumberOfCursors ()
| JB. More...
vtkHyperTreeGrid * | GetGrid ()
| Set the hyper tree grid to which the cursor is pointing. More...
bool | HasTree ()
| Return if a Tree pointing exist. More...
vtkHyperTree * | GetTree ()
| Set the hyper tree to which the cursor is pointing. More...
vtkHyperTree * | GetTree (unsigned int icursor)
| Set the hyper tree to which the cursor is pointing. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHyperTreeGridNonOrientedMooreSuperCursorLight * | SafeDownCast (vtkObjectBase *o)
static vtkHyperTreeGridNonOrientedMooreSuperCursorLight * | New ()
Static Public Member Functions inherited from vtkHyperTreeGridNonOrientedSuperCursorLight
static vtkTypeBool | IsTypeOf (const char *type)
static vtkHyperTreeGridNonOrientedSuperCursorLight * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkHyperTreeGridNonOrientedMooreSuperCursorLight ()=default
| Constructor. More...
| ~vtkHyperTreeGridNonOrientedMooreSuperCursorLight () override
| Destructor. More...
Protected Member Functions inherited from vtkHyperTreeGridNonOrientedSuperCursorLight
| vtkHyperTreeGridNonOrientedSuperCursorLight ()
| JB Peut etre reporter les services GetCursor present dans la version non Light ? More...
| ~vtkHyperTreeGridNonOrientedSuperCursorLight () override
| Destructor. More...
unsigned int | GetIndiceEntry (unsigned int icursor)
| JB. More...
unsigned int | GetIndicePreviousEntry (unsigned int icursor)
| JB La valeur precedente. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkHyperTreeGridNonOrientedSuperCursorLight
vtkHyperTreeGrid * | Grid
| JB Reference sur l'hyper tree grid parcouru actuellement. More...
vtkSmartPointer< vtkHyperTreeGridNonOrientedGeometryCursor > | CentralCursor
| JB. More...
unsigned int | CurrentFirstNonValidEntryByLevel
| JB Hyper tree grid to which the cursor is attached. More...
std::vector< unsigned int > | FirstNonValidEntryByLevel
std::vector< vtkHyperTreeGridLevelEntry > | Entries
unsigned int | FirstCurrentNeighboorReferenceEntry
| JB La derniere reference valide pour decrire tous les voisins. More...
std::vector< unsigned int > | ReferenceEntries
unsigned int | IndiceCentralCursor
| JB. More...
unsigned int | NumberOfCursors
const unsigned int * | ChildCursorToParentCursorTable
const unsigned int * | ChildCursorToChildTable
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Objects for traversal a HyperTreeGrid.

JB A REVOIR Objects that can perform depth traversal of a hyper tree grid, take into account more parameters (related to the grid structure) than the compact hyper tree cursor implemented in vtkHyperTree can. This is an abstract class. Cursors are created by the HyperTreeGrid implementation.

See also
  vtkHyperTreeCursor vtkHyperTree vtkHyperTreeGrid

Thanks:
  This class was written by Guenole Harel and Jacques-Bernard Lekien, 2014. This class was re-written by Philippe Pebay, 2016. This class was re-written and optimized by Jacques-Bernard Lekien, Guenole Harel and Jerome Dubois, 2018. This work was supported by Commissariat a l'Energie Atomique CEA, DAM, DIF, F-91297 Arpajon, France.

Definition at line 38 of file vtkHyperTreeGridNonOrientedMooreSuperCursorLight.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkHyperTreeGridNonOrientedSuperCursorLight vtkHyperTreeGridNonOrientedMooreSuperCursorLight::Superclass

Definition at line 43 of file vtkHyperTreeGridNonOrientedMooreSuperCursorLight.h.

## Constructor & Destructor Documentation

## ◆ vtkHyperTreeGridNonOrientedMooreSuperCursorLight()

vtkHyperTreeGridNonOrientedMooreSuperCursorLight::vtkHyperTreeGridNonOrientedMooreSuperCursorLight | ( |  | ) |
| protecteddefault

Constructor.

## ◆ ~vtkHyperTreeGridNonOrientedMooreSuperCursorLight()

vtkHyperTreeGridNonOrientedMooreSuperCursorLight::~vtkHyperTreeGridNonOrientedMooreSuperCursorLight | ( |  | ) |
| overrideprotected

Destructor.

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkHyperTreeGridNonOrientedMooreSuperCursorLight::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkHyperTreeGridNonOrientedMooreSuperCursorLight::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkHyperTreeGridNonOrientedSuperCursorLight.

## ◆ SafeDownCast()

static vtkHyperTreeGridNonOrientedMooreSuperCursorLight* vtkHyperTreeGridNonOrientedMooreSuperCursorLight::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkHyperTreeGridNonOrientedMooreSuperCursorLight::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkHyperTreeGridNonOrientedSuperCursorLight.

## ◆ NewInstance()

vtkHyperTreeGridNonOrientedMooreSuperCursorLight* vtkHyperTreeGridNonOrientedMooreSuperCursorLight::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkHyperTreeGridNonOrientedMooreSuperCursorLight::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkHyperTreeGridNonOrientedMooreSuperCursorLight* vtkHyperTreeGridNonOrientedMooreSuperCursorLight::New | ( |  | ) |
| static

## ◆ Initialize()

void vtkHyperTreeGridNonOrientedMooreSuperCursorLight::Initialize | ( | vtkHyperTreeGrid * | grid,
|  | vtkIdType | treeIndex,
|  | bool | create = `false`
| ) |  |
| overridevirtual

Initialize cursor at root of given tree index in grid.

JB Le create ne s'applique que sur le HT central.

Implements vtkHyperTreeGridNonOrientedSuperCursorLight.

## ◆ GetCornerCursors()

bool vtkHyperTreeGridNonOrientedMooreSuperCursorLight::GetCornerCursors | ( | unsigned int | ,
|  | unsigned int | ,
|  | vtkIdList * |
| ) |  |

Return the list of cursors pointing to the leaves touching a given corner of the cell.

Return whether the considered cell is the owner of said corner. JB Utilise aujourd'hui dans les filtres vtkHyperTreeGridContour et vtkHyperTreeGridPlaneCutter.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkHyperTreeGridNonOrientedMooreSuperCursorLight.h